List SSH Keys
List SSH public keys installed in this webspace's ~/.ssh/authorized_keys. Includes the panel-managed web-terminal key.
List SSH public keys installed in this webspace's ~/.ssh/authorized_keys. Includes the panel-managed web-terminal key.
Required scope: webspace:read
| Header | Required | Value |
|---|---|---|
Authorization |
Yes | Bearer YOUR_API_KEY |
{
"data": [
{
"id": "sha256-hQ0YFLi6TKgF3E9pn-lcUxVLx1VjSQwc",
"type": "ssh-ed25519",
"publicKey": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5...",
"comment": "root@node-bf015.sitequest.eu"
}
]
}
| Field | Type | Description |
|---|---|---|
id |
string | SHA-256 fingerprint (URL-safe). Used as the keyId in the delete endpoint. |
curl https://hosting.site.quest/api/v1/webspaces/69e80ac1.../ssh-keys \
-H "Authorization: Bearer sq_live_..."
This action is also available via the webspace_list_ssh_keys MCP tool.